My Project: dynamics.mod/NewtonDynamics/source/pthreads.2/tests/benchtest.h File Reference

My Project

Classes | Macros | Typedefs | Enumerations | Functions | Variables
benchtest.h File Reference
`#include "../config.h"`

Go to the source code of this file.

## Classes

struct | old_mutex_t_
struct | old_mutexattr_t_

## Macros

#define | PTW32_OBJECT_AUTO_INIT ((void *) -1)

## Typedefs

typedef struct old_mutex_t_ * | old_mutex_t
typedef struct old_mutexattr_t_ * | old_mutexattr_t

## Enumerations

enum | { OLD_WIN32CS, OLD_WIN32MUTEX }

## Functions

| BOOL (WINAPI *ptw32_try_enter_critical_section)(LPCRITICAL_SECTION)
void | dummy_call (int *a)
void | interlocked_inc_with_conditionals (int *a)
void | interlocked_dec_with_conditionals (int *a)
int | old_mutex_init (old_mutex_t *mutex, const old_mutexattr_t *attr)
int | old_mutex_lock (old_mutex_t *mutex)
int | old_mutex_unlock (old_mutex_t *mutex)
int | old_mutex_trylock (old_mutex_t *mutex)
int | old_mutex_destroy (old_mutex_t *mutex)

## Variables

int | old_mutex_use
HINSTANCE | ptw32_h_kernel32

## Macro Definition Documentation

## § PTW32_OBJECT_AUTO_INIT

#define PTW32_OBJECT_AUTO_INIT ((void *) -1)

## Typedef Documentation

## § old_mutex_t

typedef struct old_mutex_t_* old_mutex_t

## § old_mutexattr_t

typedef struct old_mutexattr_t_* old_mutexattr_t

## Enumeration Type Documentation

## § anonymous enum

anonymous enum

Enumerator
OLD_WIN32CS |
OLD_WIN32MUTEX |

## Function Documentation

## § BOOL()

BOOL | ( | WINAPI * | ptw32_try_enter_critical_section | ) |

## § dummy_call()

void dummy_call | ( | int * | a | ) |

## § interlocked_dec_with_conditionals()

void interlocked_dec_with_conditionals | ( | int * | a | ) |

## § interlocked_inc_with_conditionals()

void interlocked_inc_with_conditionals | ( | int * | a | ) |

## § old_mutex_destroy()

int old_mutex_destroy | ( | old_mutex_t * | mutex | ) |

## § old_mutex_init()

int old_mutex_init | ( | old_mutex_t * | mutex,
|  | const old_mutexattr_t * | attr
| ) |  |

## § old_mutex_lock()

int old_mutex_lock | ( | old_mutex_t * | mutex | ) |

## § old_mutex_trylock()

int old_mutex_trylock | ( | old_mutex_t * | mutex | ) |

## § old_mutex_unlock()

int old_mutex_unlock | ( | old_mutex_t * | mutex | ) |

## Variable Documentation

## § old_mutex_use

int old_mutex_use

## § ptw32_h_kernel32

HINSTANCE ptw32_h_kernel32